<form
        [formGroup]="firstConfigurationStepForm"
        (submit)="handleFirstConfigurationStepNext()"
      >
        <fieldset>
          <legend>Coordination</legend>
          <mat-form-field class="input--lg">
            <mat-label>Plan Name</mat-label>
            <input matInput formControlName="retirementPlanName" required />
            @if (isRetirementPlanNameInvalid) {
            <mat-error>Required.</mat-error>}
          </mat-form-field>
          <mat-form-field>
            <mat-label>{{ offersData.retirementCategory.label }}</mat-label>
            <mat-select formControlName="retirementCategory">
              @for (value of offersData.retirementCategory.values; track value)
              {
              <mat-option [value]="value.toString()">{{
                value.toString()
              }}</mat-option>
              }
            </mat-select>
            @if (isRetirementCategoryInvalid) {
            <mat-error>Required.</mat-error>}
          </mat-form-field>
          <mat-form-field>
            <mat-label>Entry Age</mat-label>
            <input
              type="number"
              min="20"
              max="130"
              matInput
              formControlName="retirementEntryAge"
              required
            />
            @if (isRetirementEntryAgeInvalid) {
            <mat-error>
              @if (retirementEntryAge?.hasError('required')) { Required. }
              @else if (retirementEntryAge?.hasError('min')) { Minimum acceptable
              age is 20. } @else {
              Maximum acceptable age is 130.} </mat-error
            >}
          </mat-form-field>
        </fieldset>
        <fieldset>
          <legend>Retirement Age</legend>
          <mat-form-field class="input--lg">
            <mat-label>Early Retirement Mininum Age</mat-label>
            <input
              type="number"
              min="20"
              max="130"
              matInput
              formControlName="retirementMinimumAge"
              required
            />
            @if (isRetirementMinimumAgeInvalid) {
            <mat-error>
              @if (retirementMinimumAge?.hasError('required')) { Required. }
              @else if (retirementMinimumAge?.hasError('min')) { Minimum
              acceptable age is 20. } @else { Maximum acceptable age is 130.} </mat-error
            >}
          </mat-form-field>
          <mat-form-field class="input--lg">
            <mat-label>Retirement Maximum Age</mat-label>
            <input
              type="number"
              min="20"
              max="130"
              matInput
              formControlName="retirementMaximumAge"
              required
            />
            @if (isRetirementMaximumAgeInvalid) {
            <mat-error>
              @if (retirementMaximumAge?.hasError('required')) { Required. }
              @else if (retirementMaximumAge?.hasError('min')) { Minimum
              acceptable age is 20. } @else { Maximum acceptable age is 130.} </mat-error
            >}
          </mat-form-field>
        </fieldset>
        <div>
          <button
            class="medium-action-button"
            type="submit"
            color="primary"
            mat-raised-button
            [disabled]="isNextButtonDisabled"
          >
            Next
            <mat-icon iconPositionEnd>expand_more</mat-icon>
          </button>
        </div>
      </form>
